Skip to main content
PATCH
https://{tenantDomain}/api/v2
/
experimentation
/
feature-flags
/
{id}
/
variations
/
{vid}
Update a variation.
curl --request PATCH \
  --url https://{tenantDomain}/api/v2/experimentation/feature-flags/{id}/variations/{vid} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "overrides": {}
}
'
{
  "id": "<string>",
  "feature_flag_id": "<string>",
  "name": "<string>",
  "overrides": {},
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "description": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://auth-test.auth0-mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The ID of the parent feature flag.

vid
string
required

The ID of the variation to update.

Body

Partial update of a variation. Only provided fields are updated.

name
string

A human-readable name for the variation

Required string length: 3 - 255
Pattern: ^(?!.*\x00)\S(.*\S)?$
description
string | null

A description of what this variation controls

Required string length: 3 - 1024
Pattern: ^(?!.*\x00)\S(.*\S)?$
overrides
object

Configuration overrides for this variation; keys must exist in the parent flag parameters

Response

Variation successfully updated.

id
string
required
Pattern: ^var_[A-HJ-NP-Za-km-z1-9]+$
feature_flag_id
string
required
Pattern: ^flg_[A-HJ-NP-Za-km-z1-9]+$
name
string
required
overrides
object
required

Configuration overrides for this variation

created_at
string<date-time>
required
updated_at
string<date-time>
required
description
string